#+TITLE: Counting the dead :@personal:
#+FILETAGS: :atomic:note:

* Counting the dead :@personal:
:PROPERTIES:
:CREATED: 0a88e1b6-8963-4fe8-b1e4-5ce86d34b5a0
:SOURCE: /home/user/memex/daily/2023-07-08.org
:END:


Today Tarek Titi died. Probably a suicide, my third this year after Jane and Karim Naguib. Then I realized while browsing Twitter that Nada Zeitona also died 10 December 2019, of apparently massive abdominal cancer. 

Hend Kalfat, Ola Abo el Shalashel, Nada, Jane, Karim. I think I should keep a record of those who did of pain and marginalization. 

Lovely people die of old age too. Nehal Shaker passed away today. Mom is sad.




* Backlinks
- Source: [[file:/home/user/memex/daily/2023-07-08.org][2023-07-08.org]]
